Bug 469814 - Review Request: fuse-zip - Fuse-zip is a fs to navigate, extract, create and modify ZIP archives
Review Request: fuse-zip - Fuse-zip is a fs to navigate, extract, create and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2008-11-04 03:32 EST by Rakesh Pandit
Modified: 2009-04-19 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-08 00:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
opensource: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fix creation of empty debuginfo package. (530 bytes, patch)
2008-11-04 05:01 EST, Debarshi Ray
no flags Details | Diff

  None (edit)
Description Rakesh Pandit 2008-11-04 03:32:07 EST
Description:

SPEC: http://rakesh.fedorapeople.org/spec/fuse-zip.spec
SRPM: http://rakesh.fedorapeople.org/srpm/fuse-zip-0.2.6-1.fc10.src.rpm


fuse-zip is a FUSE file system to navigate, extract, create and modify 
ZIP archives based in libzip implemented in C++.

With fuse-zip you really can work with ZIP archives as real directories. 
Unlike KIO or Gnome VFS, it can be used in any application without 
modifications.

Unlike other FUSE filesystems, only fuse-zip provides write support 
to ZIP archives. Also, fuse-zip is faster that all known implementations 
on large archives with many files.
Comment 1 Debarshi Ray 2008-11-04 05:01:07 EST
Created attachment 322403 [details]
Fix creation of empty debuginfo package.

The Makefile uses 'install -s' which strips the debug symbols from the binaries causing an empty debuginfo package to be created. The attached patch addresses this.
Comment 3 Till Maas 2008-11-07 07:03:28 EST
In %build I would also add LDFLAGS, because otherwise g++ is once called without these flags (g++  fuse-zip.o fileNode.o bigBuffer.o fuseZipData.o libZipWrapper.o -pthread -L/lib -lfuse -lrt -ldl   -lzip -lz   -o fuse-zip):


make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"



Instead of the sed and the DESTDIR you can better use this here in %install:
make install INSTALLPREFIX="$RPM_BUILD_ROOT/%{_prefix}"

DESTDIR is not used in the makefile, so you do not need to use it for make install.
Comment 6 Till Maas 2008-11-07 12:03:34 EST
[OK] rpmlint output: silent
[OK] Spec in %{name}.spec format

[OK] license allowed: GPLv3+
[OK] license matches shortname in License: tag
[OK] license in tarball and included in %doc: LICENSE

[OK] package is code or permissive content:

{OK} patches sent to upstream and commented
[OK] Source0 is a working URL
{N/A} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
<OK> SourceX / PatchY prefixed with %{name}
[OK] Source0 matches Upstream:
4b3c564d12226588c1564faa789b3608  fuse-zip-0.2.6.tar.gz

[OK] Package builds on all platforms:
http://koji.fedoraproject.org/koji/taskinfo?taskID=921071

[N/A] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 

[N/A] %find_lang used for locales

[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included


[N/A] Has GUI and includes %{name}.desktop
[N/A] .desktop file installed with desktop-file-install in %install

[N/A] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[OK] Consistent macro usage

[OK] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)
{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{OK} PreReq not used
{OK} RPM_OPT_FLAGS honoured
{OK} Useful debuginfo generated
{OK} no duplication of system libraries
{OK} no rpath
{OK} Timestamps preserved with cp and install
{OK} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format

{OK} does not use Scriptlets
<N/A> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:

{OK} Follows Naming Guidelines

Please remove the INSTALL from %doc before importing this package into Fedora's CVS, because this file is not useful for users of Fedora. Everything else looks good, therefore this package is APPROVED.
Comment 7 Rakesh Pandit 2008-11-07 12:18:14 EST
Thanks - Yes I will remove that file.

New Package CVS Request
=======================
Package Name: fuse-zip
Short Description: Fuse-zip is a fs to navigate, extract, create and modify ZIP archives
Owners: rakesh
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-11-07 16:33:39 EST
cvs done.
Comment 9 Fedora Update System 2008-11-08 00:10:51 EST
fuse-zip-0.2.6-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-4.fc8
Comment 10 Fedora Update System 2008-11-08 00:11:41 EST
fuse-zip-0.2.6-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-4.fc9
Comment 11 Fedora Update System 2008-11-08 00:12:20 EST
fuse-zip-0.2.6-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-4.fc10
Comment 12 Fedora Update System 2008-12-07 09:42:50 EST
fuse-zip-0.2.6-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-5.fc10
Comment 13 Fedora Update System 2008-12-07 09:42:54 EST
fuse-zip-0.2.6-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-5.fc9
Comment 14 Fedora Update System 2008-12-07 09:43:11 EST
fuse-zip-0.2.6-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/fuse-zip-0.2.6-5.fc8
Comment 15 Fedora Update System 2008-12-21 18:39:58 EST
fuse-zip-0.2.6-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-12-21 18:40:51 EST
fuse-zip-0.2.6-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-12-21 18:41:45 EST
fuse-zip-0.2.6-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.